Package com.smartgwt.client.types

# Enum AIResponseErrorType

java.lang.Object
java.lang.Enum<AIResponseErrorType>
com.smartgwt.client.types.AIResponseErrorType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AIResponseErrorType>`, `Constable`

public enum AIResponseErrorType extends Enum<AIResponseErrorType> implements ValueEnum
For an `AIResponse` of `type` ERROR, the type of error, if known.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `REQUESTRATELIMITEXCEEDED`
  the request exceeds a rate limit
  `REQUESTSIZELIMITEXCEEDED`
  the request's size exceeds a limit
  `REQUESTUNSAFE`
  the request was deemed unsafe
  `RESPONSESIZELIMITEXCEEDED`
  the response's size exceeded a limit
  `RESPONSEUNSAFE`
  the generated response was deemed unsafe

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AIResponseErrorType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AIResponseErrorType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REQUESTRATELIMITEXCEEDED

    public static final AIResponseErrorType REQUESTRATELIMITEXCEEDED
    the request exceeds a rate limit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "requestRateLimitExceeded".

  - ### REQUESTSIZELIMITEXCEEDED

    public static final AIResponseErrorType REQUESTSIZELIMITEXCEEDED
    the request's size exceeds a limit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "requestSizeLimitExceeded".

  - ### REQUESTUNSAFE

    public static final AIResponseErrorType REQUESTUNSAFE
    the request was deemed unsafe

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "requestUnsafe".

  - ### RESPONSESIZELIMITEXCEEDED

    public static final AIResponseErrorType RESPONSESIZELIMITEXCEEDED
    the response's size exceeded a limit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "responseSizeLimitExceeded".

  - ### RESPONSEUNSAFE

    public static final AIResponseErrorType RESPONSEUNSAFE
    the generated response was deemed unsafe

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "responseUnsafe".

- ## Method Details

  - ### values

    public static AIResponseErrorType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AIResponseErrorType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`